kind: pipeline
name: default

clone:
  disable: true

steps:
  - name: clone
    image: alpine/git
    commands:
      - git config --global http.version HTTP/1.1
      - git clone --branch $DRONE_BRANCH $DRONE_GIT_HTTP_URL .

  # docker 打包
  - name: docker
    image: plugins/docker
    settings:
      context: ./
      dockerfile: ./Dockerfile
      username:
        from_secret: docker_username
      password:
        from_secret: docker_password
      registry: https://registry.cn-hangzhou.aliyuncs.com
      repo: registry.cn-hangzhou.aliyuncs.com/hub_z/ashareview
      tags:
        - latest
